<HdlWorker Language="vhdl" Spec="dc_offset_filter-spec.xml" Version="2" DataWidth="32"
	   ExactParts='zynq:xc7z020-1-clg484
		       zynq_ise:xc7z020_ise_alias-1-clg484
		       zynq_ultra:xczu7ev-2-ffvc1156e
		       virtex6:xc6vlx240t-1-ff1156
		       kintex7:xc7k410t-2-ffg900
		       stratix4:ep4sgx230k-c2-f40
		       artix7:xc7a50t-2-csg325'>

  <Property Name="LATENCY_p" Type="uchar" Parameter="true" Default="1"
	    Description='Number of clock cycles between a valid input and a valid output'/>

  <Property Name="DATA_WIDTH_p" Type="uchar" Parameter="true" Default="16"
	    Description="Data Width of I and Q for internal processing" />

  <Property Name="PEAK_MONITOR_p" Type="bool" Parameter="true" Default="true"
	    Description="Enable/Disable build-time inclusion of Peak Monitoring"/>

  <Property Name="peak" Type="short" Volatile="true"
	    Description="Peak value of I or Q output (valid when PEAK_MONITOR_p=true)"/>

  <StreamInterface Name="in"/>
  <StreamInterface Name="out" insertEOM="1"/>

</HdlWorker>
